@echo off

rem Script called on the primary server for stopping application services 

rem For logging into SafeKit log use:
rem "%SAFE%\safekit" printi | printe "message"

rem ----------------------------------------------------------
rem
rem 2 stop modes:
rem
rem - graceful stop
rem   call standard application stop with net stop
rem
rem - force stop (%1=force)
rem   kill application's processes
rem
rem ----------------------------------------------------------

rem stdout goes into Application log
echo "Running stop_prim %*" 

set res=0

rem default: no action on forcestop
if "%1" == "force" goto check

rem Fill with your services stop call
%SAFE%\safekit printi "Stopping AEOS Application Server"
net stop "AEOS Application Server"
%SAFE%\safekit printi "Stopping AEOS Lookup Server"
net stop "AEOS Lookup Server"
%SAFE%\safekit printi "Stopping SQL Server (MSSQLSERVER)"
sc.exe config "MSSQLSERVER" start= disabled
net stop "MSSQLSERVER" /Y

rem Wait a little for the real stop of services
"%SAFEBIN%\sleep" 10

if %res% == 0 goto end

"%SAFE%\safekit" printe "stop_prim failed"
goto end

:check
rem call :checksrv "MSSQLSERVER"
goto end

:checksrv
  set SERVICE=%1
  net stop %SERVICE% /Y
  if NOT ERRORLEVEL 1 goto end
  sc query %SERVICE% | findstr STATE | findstr 1
  if NOT ERRORLEVEL 1 goto end
  "%SAFE%\safekit" stop -i "stop_prim: service not stopped"
  exit

:end
