@echo off

rem Script called on the primary server for starting application services 

rem For logging into SafeKit log use:
rem "%SAFE%\safekit" printi | printe "message"

rem stdout goes into Application log
echo "Running start_prim %*" 

set res=0

rem Fill with your services start call
sc.exe config MSSQLSERVER start= demand

net start "MSSQLServer"
if not %errorlevel% == 0 (
  %SAFE%\safekit printi "SQL Server (MSSQLServer) start failed"
) else (
  %SAFE%\safekit printi "SQL Server (MSSQLServer) started"
)

net start "AEOS Application Server"
if not %errorlevel% == 0 (
  %SAFE%\safekit printi "AEOS Application Server start failed"
) else (
  %SAFE%\safekit printi "AEOS Application Server started"
)

net start "AEOS Lookup Server"
if not %errorlevel% == 0 (
  %SAFE%\safekit printi "AEOS Lookup Server start failed"
) else (
  %SAFE%\safekit printi "AEOS Lookup Server started"
)

set res=%errorlevel%

if %res% == 0 goto end

:stop
"%SAFE%\safekit" printe "start_prim failed"
  
rem uncomment to stop SafeKit when critical
rem "%SAFE%\safekit" stop -i "start_prim"

:end
